Wahio Developers
Products
POST
/v1/products/search

Search products in warehouse.

Search for products with advanced filtering options including stock, price, categories, variants, and more.

Authentication: Include your API key in the X-Api-Key header.

Header Parameters

X-Api-Key*string

Your API Key for authentication

Request Body

application/json

Search parameters and pagination

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/products/search" \  -H "X-Api-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "items": [    {      "id": "string",      "name": "string",      "sku": "string",      "price": 0,      "stock_available": 0,      "reserved": 0    }  ],  "total_items": 0,  "page": 0,  "page_size": 0,  "total_pages": 0}